# Interface FormSubmitMethod<T>

interface FormSubmitMethod<T> {
metadata?: any;
call(parameters: T, context?: Record<string, unknown>): any;
}

#### Type Parameters

- T

#### Hierarchy

- MethodWithParameters<any, T>
  - FormSubmitMethod

- Defined in packages/angular/forms/src/lib/directives/models.ts:6

#####
Index

### Properties

metadata?

### Methods

call

##
Properties

### `Optional` metadata

metadata?: any

Inherited from MethodWithParameters.metadata

- Defined in packages/pattern/src/lib/meta-data.ts:2

##
Methods

### call

- call(parameters: T, context?: Record<string, unknown>): any

  #### Parameters

  - parameters: T
  - `Optional` context: Record<string, unknown>

  #### Returns any

  Overrides MethodWithParameters.call

  - Defined in packages/angular/forms/src/lib/directives/models.ts:7